ru.bitel.bgbilling.modules.inet.api.client

## Class InetDevicePanel.InetDeviceTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - ru.bitel.common.client.table.AbstractBGTableModel
    - - ru.bitel.common.client.table.BasicBGTableModel<N>
      - - ru.bitel.common.client.treetable.DefaultBGTreeTableModel<N>
        - - ru.bitel.common.client.treetable.BGTreeTableModel<D>
          - - ru.bitel.bgbilling.modules.inet.api.client.InetDevicePanel.InetDeviceTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel, javax.swing.tree.TreeModel
  Enclosing class:
    InetDevicePanel

      protected class InetDevicePanel.InetDeviceTableModel
      extends ru.bitel.common.client.treetable.BGTreeTableModel<D>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.client.table.BasicBGTableModel

      `ru.bitel.common.client.table.BasicBGTableModel.BGTableModelColumnRef`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.client.treetable.DefaultBGTreeTableModel

      `listenerList, root`

    - ### Fields inherited from class ru.bitel.common.client.table.BasicBGTableModel

      `clazz, table`

    - ### Fields inherited from class ru.bitel.common.client.table.AbstractBGTableModel

      `name`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetDeviceTableModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue(InetDevice val, int column)`
    `protected void` | `initColumns()`

    - ### Methods inherited from class ru.bitel.common.client.treetable.BGTreeTableModel

      `findPath, findPath, getChildren, setSelectedRow, setSelectedRow, setSelectedRows, setSelectedRows`

    - ### Methods inherited from class ru.bitel.common.client.treetable.DefaultBGTreeTableModel

      `addTreeModelListener, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getRoot, getRowCount, getSelectedRow, getSelectedRows, getTree, getValueAt, isCellEditable, isLeaf, nodeForRow, removeTreeModelListener, setData, setRoot, setValueAt, valueForPathChanged`

    - ### Methods inherited from class ru.bitel.common.client.table.BasicBGTableModel

      `addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumnId, getColumnClass, getColumnCount, getColumnMaxWidth, getColumnMinWidth, getColumnName, getColumnPrefferedWidth, getIdentifier, getTableCellRenderer, getValueAt, isColumnSortable, isVisible, reinitColumns, setValue`

    - ### Methods inherited from class ru.bitel.common.client.table.AbstractBGTableModel

      `getName`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.tree.TreeModel

      `addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

- - ### Constructor Detail

    - #### InetDeviceTableModel

          protected InetDeviceTableModel()

  - ### Method Detail

    - #### initColumns

          protected void initColumns()

    - #### getValue

          public java.lang.Object getValue(InetDevice val,
                                           int column)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`